Deployments
A deployment represents a transition between pipeline versions
| Method | Endpoint |
|---|---|
| GET | /api/namespaces/{namespace_id}/pipelines/{pipeline_id}/deployments |
| GET | /api/namespaces/{namespace_id}/pipelines/{pipeline_id}/deployments/{deployment_id} |
List all deployments
GET
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/deploymentsPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Responses
| Status | Body | Description |
|---|---|---|
200 | ListDeploymentsResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Get api deployment by id
GET
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/deployments/{deployment_id}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
deployment_id | integer | yes | The unique identifier for the target deployment. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Responses
| Status | Body | Description |
|---|---|---|
200 | GetDeploymentResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |